%global debug_package   %{nil}

Summary:        Parsing Expression Grammar Template Library
Name:           PEGTL
Version:        3.2.7
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/taocpp/%{name}/
Source0:        https://github.com/taocpp/%{name}/archive/%{version}.tar.gz

BuildRequires:  gcc-c++ make

%description
The Parsing Expression Grammar Template Library (PEGTL) is a zero-dependency
C++11 header-only library for creating parsers according to a Parsing
Expression Grammar (PEG).


%package devel
Summary:        Development files for %{name}
Requires:       libstdc++-devel
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.


%prep
%autosetup 


%check
make


%install
install -d -m 0755 %{buildroot}%{_includedir}
pushd include/
cp -R tao/ %{buildroot}%{_includedir}
popd


%files devel
%license LICENSE
%doc README.md doc/
%{_includedir}/tao/pegtl.hpp
%{_includedir}/tao/pegtl


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.7-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.7-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 3.2.7-1
- Upgrade to version 3.2.7

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 rockerzhu <rockerzhu@tencent.com> - 2.8.3-1
- Initial build
